# NFTInfoRequest | xrpl
Documentation for xrpl

# Interface NFTInfoRequest

The `nft_info` method retrieves information about an NFToken.

#### Hierarchy

- BaseRequest
- LookupByLedgerRequest
  - NFTInfoRequest

- Defined in packages/xrpl/src/models/methods/nftInfo.ts:10

#####
Index

### Properties

api_version?
command
id?
ledger_hash?
ledger_index?
nft_id

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### command

command: "nft_info"

The name of the API method.

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/nftInfo.ts:11

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

### `Optional` ledger_hash

ledger_hash?: string

A 20-byte hex string for the ledger version to use.

Inherited from LookupByLedgerRequest.ledger_hash

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:21

### `Optional` ledger_index

ledger_index?: LedgerIndex

The ledger index of the ledger to use, or a shortcut string.

Inherited from LookupByLedgerRequest.ledger_index

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:23

### nft_id

nft_id: string

The unique identifier of an NFToken.

- Defined in packages/xrpl/src/models/methods/nftInfo.ts:15

Generated using TypeDoc